Bug 108126 - Data model dependencies should be automatically resolved from the PDL metadata
Data model dependencies should be automatically resolved from the PDL metadata
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-27 15:31 EST by Daniel Berrange
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:25:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-10-27 15:31:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The PDL metadata used by the DDL generator contains sufficient information for
validating the data model dependancies between applications. Requiring the
developer to add 

<requires>
  <table>
</requires>

and

<provides>
  <table>
</provides>

declaration is duplicating this information from the PDL & will never be  filled
in to a satisfactory level of correctness. It is also unlikely that a developer
will remember to update this info when changing PDL.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Leave out the 'cms_items' dependancy from ccm-cms-types-address.load
2. Load the ccm-cms-types-address application without first loading ccm-cms
3.
    

Actual Results:  DB error about missing table target for foreign key

Expected Results:  Loader immediately reports missing dependencies without
attempting to load SQL.

Additional info:
Comment 1 Daniel Berrange 2006-09-02 13:25:25 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.